Bug 1875599 - OpenShift Dev ConsoleODC-3710 EventListener Details page needs to represent "Trigger" groupings
Summary: OpenShift Dev ConsoleODC-3710 EventListener Details page needs to represent "...
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Debsmita Santra
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 20:39 UTC by Debsmita Santra
Modified: 2020-09-15 03:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6518 None closed Bug 1875599: trigger groupings in Event Listener details page 2020-09-11 07:23:06 UTC

Description Debsmita Santra 2020-09-03 20:39:39 UTC
Description of problem:
In the EventListener spec there is a property called "triggers" which can have 1 to n TriggerBindings and a single TriggerTemplate associated to it. Currently we do not have a good way to represent this.

We flatten the content today, and it's a bit misleading. We need to be able to nest / group these resources together better.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Create Event Listener


apiVersion: triggers.tekton.dev/v1alpha1
kind: EventListener
metadata:
  name: event-listener-test
spec:
  serviceAccountName: pipeline
  triggers:
    - bindings:
        - kind: ClusterTriggerBinding
          name: github-pullreq
      template:
        name: trigger-template-nodejs-rest-http-chz9v1
    - bindings:
        - kind: ClusterTriggerBinding
          name: bitbucket-pullreq
        - kind: ClusterTriggerBinding
          name: bitbucket-commit
      template:
        name: trigger-template-nodejs-rest-http-abc123

2. Goto Event Listener Details page.

Actual results:
Trigger Templates & Trigger Bindings/ClusterTriggerBindings are listed separately

Expected results:
The resources should be nested

Additional info:


Note You need to log in before you can comment on or make changes to this bug.